# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['asynctradier',
 'asynctradier.common',
 'asynctradier.exceptions',
 'asynctradier.utils']

package_data = \
{'': ['*']}

install_requires = \
['aiohttp>=3.9.1,<4.0.0', 'strenum>=0.4.15,<0.5.0', 'websockets>=12.0,<13.0']

setup_kwargs = {
    'name': 'asynctradier',
    'version': '0.0.1b8',
    'description': 'Async api wrapper for [Tradier](https://documentation.tradier.com/).',
    'long_description': '# asynctradier\n\n[![codecov](https://codecov.io/gh/jiak94/asynctradier/graph/badge.svg?token=T66WaJLNDd)](https://codecov.io/gh/jiak94/asynctradier)\n[![PyPI version](https://badge.fury.io/py/asynctradier.svg)](https://badge.fury.io/py/asynctradier)\n![Test](https://github.com/jiak94/asynctradier/actions/workflows/run_test.yaml/badge.svg)\n[![Documentation Status](https://readthedocs.org/projects/asynctradier/badge/?version=latest)](https://asynctradier.readthedocs.io/en/latest/?badge=latest)\n\nAsync api wrapper for [Tradier](https://documentation.tradier.com/).\n\nThis is _NOT_ an official package of Tradier.\n\n## Install\n\n`pip install asynctradier`\n\nif your are using poetry\n\n`poetry add asynctradier`\n\n## Documentation\n\n[Read The Doc](https://asynctradier.readthedocs.io/en/latest/)\n\n## Supported API\n\n### Account\n\n- [ ] Get User Profile\n- [ ] Get Balances\n- [x] Get Positions\n- [ ] Get History\n- [ ] Get Gain/Loss\n- [x] Get Orders\n- [x] Get an Order\n\n### Trading\n\n- [x] Modify Order\n- [x] Cancel Order\n- [ ] Place Equity Order\n- [x] Place Option Order\n- [ ] Place Multileg Order\n- [ ] Place Combo Order\n- [ ] Place OTO Order\n- [ ] Place OCO Order\n- [ ] Place OTOCO Order\n\n### Market Data\n\n- [ ] Get Quotes\n- [ ] Get QUotes\n- [ ] Get Option Chains\n- [ ] Get Option Strikes\n- [ ] Get Option Expirations\n- [ ] Lookup Option Symbols\n- [ ] Get Historical Quotes\n- [ ] Get Time and Sales\n- [ ] Get ETB Securities\n- [ ] Get Clock\n- [ ] Get Calendar\n- [ ] Search Companies\n- [ ] Lookup Symbol\n\n### Streaming\n\n- [ ] Market WebSocket\n- [x] Account WebSocket\n',
    'author': 'Jiakuan Li',
    'author_email': 'jiakuan.li.cs@gmail.com',
    'maintainer': 'None',
    'maintainer_email': 'None',
    'url': 'None',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.9,<4.0',
}


setup(**setup_kwargs)
